Bug 1007157 - Allow bodhi command line options for fedpkg update
Summary: Allow bodhi command line options for fedpkg update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-12 03:14 UTC by Miro Hrončok
Modified: 2018-09-06 03:43 UTC (History)
2 users (show)

Fixed In Version: fedpkg-1.35-1.fc28 fedpkg-1.35-1.fc27 fedpkg-1.35-1.el7 fedpkg-1.35-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 04:54:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2013-09-12 03:14:36 UTC
tl;dr: When running fedpkg update, a template is always shown, that makes it hard when doing update for multiple releases at once. Bodhi offers several command line options that can be used to simplify the task. Allow that options to be used with fedpkg update. I can send patches.



I often do it with this (or similar) command:

$ for F in f20 f19 f18; do fedpkg switch-branch $F && fedpkg update; done

In that particular case I have to fill in the template three times and that's a pain. I have to copy and paste multiple values and basically I fill the form three times using the very same values. Deleting the line "Here is where you give an explanation of your update." three times also (BTW that line should not be there anyway, it should be in the comment ABOVE the notes= line).

Bodhi comes with lot of useful command line options [0], that would make this easier for me (and also others).

Look at this for example:

$ for F in f20 f19 f18; do fedpkg switch-branch $F && fedpkg update -t bugfix -N "Blah blah" -S 2 -U -2 -b 12345; done

When defining type and notes, everything else should be filled automatically without prompt (by prompt I mean showing the template in EDITOR). Bug number from changelog/git should be used when -b or --bugs is not used (the same way as it is pre-filled in the template). When type and/or notes are not defined, the template is shown as in present, with possible information from other switches present in the form.

$ fedpkg update -N "Blah blah" -S 2 -U -2 -b 12345

would prompt this:

=====

# bugfix, security, enhancement, newpackage (required)
type=

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=12345

# Description of your update
notes=Blah blah

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=2
unstable_karma=-2

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

But:

$ fedpkg update -t bugfix -N "Blah blah"

would simply use default values (as they are in the template now) and the only prompt necessary would be the password.

If you accept this behavior but don't want to code it, I'm free to take it, it seems like a relatively easy task. Just give me a blessing or comments.

[0] https://fedorahosted.org/bodhi/wiki/CLI

Comment 1 Miro Hrončok 2013-10-22 09:25:15 UTC
Please just let me know if I can patch it, so it works this way.

Comment 2 John Heidemann 2015-01-06 07:56:36 UTC
Do you want to attach the patch?  This change would be a BIG help for exactly the reasons given in the bug report.

Comment 3 Miro Hrončok 2015-01-06 08:02:50 UTC
I didn't write the patch. I was waiting for a reply first not to spend my time on something that would never be accepted. Still am.

Comment 4 Dennis Gilmore 2015-01-10 18:54:25 UTC
Patches are always welcome. I am not sure why you are asking for permission or exactly what the options you are talking about are.  I personally change the disttag in the nvr at the top of the template and copy and paste the content when updating for multiple releases. having a easy way to specify multiple builds would be a welcome addition.

Comment 5 Jaroslav Reznik 2015-03-03 15:03:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 6 Fedora End Of Life 2016-07-19 10:22:05 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Jan Kurik 2016-07-26 04:12:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 8 Fedora Admin XMLRPC Client 2017-02-21 16:42:07 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 cqi 2017-03-02 02:17:51 UTC
Belongs to milestone 1.30[1]

[1] https://pagure.io/fedpkg/roadmap?status=Open&no_stones=&milestone=1.30

Comment 10 Fedora End Of Life 2017-12-12 10:24:39 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 11 Jan Kurik 2018-08-14 11:10:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 12 Fedora Update System 2018-08-22 07:52:06 UTC
fedpkg-1.35-1.el7 rpkg-1.56-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b9c5bded6e

Comment 13 Fedora Update System 2018-08-22 07:52:34 UTC
fedpkg-1.35-1.el6 rpkg-1.56-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8d36e5f524

Comment 14 Fedora Update System 2018-08-22 07:52:57 UTC
fedpkg-1.35-1.fc27 rpkg-1.56-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b83678c28

Comment 15 Fedora Update System 2018-08-22 07:53:23 UTC
fedpkg-1.35-1.fc28 rpkg-1.56-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba8314548a

Comment 16 Fedora Update System 2018-08-22 10:01:04 UTC
fedpkg-1.35-1.fc27, rpkg-1.56-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b83678c28

Comment 17 Fedora Update System 2018-08-22 11:03:01 UTC
fedpkg-1.35-1.el7, rpkg-1.56-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b9c5bded6e

Comment 18 Fedora Update System 2018-08-22 11:52:07 UTC
fedpkg-1.35-1.el6, rpkg-1.56-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-8d36e5f524

Comment 19 Fedora Update System 2018-08-22 11:58:09 UTC
fedpkg-1.35-1.fc28, rpkg-1.56-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ba8314548a

Comment 20 Fedora Update System 2018-08-30 04:54:10 UTC
fedpkg-1.35-1.fc28, rpkg-1.56-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-08-30 18:51:44 UTC
fedpkg-1.35-1.fc27, rpkg-1.56-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-09-06 01:00:53 UTC
fedpkg-1.35-1.el7, rpkg-1.56-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-09-06 03:43:44 UTC
fedpkg-1.35-1.el6, rpkg-1.56-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.